Bug 127978 - Outbox still shows (1) message waiting for delivery after message deletion
Outbox still shows (1) message waiting for delivery after message deletion
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Depends On:
  Show dependency treegraph
Reported: 2004-07-15 17:25 EDT by David-Paul Niner
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-25 17:00:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David-Paul Niner 2004-07-15 17:25:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
The Outbox still indicates that there are messages waiting to be
delivered after those messages have deleted from the outbox.   As a
result, the user is prompted regarding the existence of messages
awaiting delivery each time they attempt to shutdown the application.

Although the Outbox still indicates that there is a message awaiting
delivery, the messages is correctly removed from the outbox when deleted.

One point which may be relevent to this bug is the fact that I had
previously created, removed, and then re-created the same IMAP account
prior to noticing this issue.  I can't honestly say if the bug existed
in the original instance of the account as I rarely respond to email
in this account.

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Steps to Reproduce:
1. Create an email message that for some reason can't be deliverd
(improper smtp server configuration, for instance).  Notice that the
message will remain in the outbox and the 'Outbox' folder will bold
and indicate that there is a message awaiting delivery.

2. Delete that message.


Actual Results:  The message will correctly be removed from the
Outbox, but the Outbox will still indicate that there's a single
message awaiting delivery.   Attempting to exit the application will
cause it to prompt about the non-existent message.

The bug surives several restarts of the app

Expected Results:  The message should disappear and the Outbox should
not indicate a message exists in it.

Additional info:
Comment 1 David-Paul Niner 2004-07-15 22:27:49 EDT
Well, apparently selecting the Expunge option from the Action menu on
the tool bar clears things up.  This doesn't make sense as you would
think deleting the message from the Outbox would move it to the Trash

Is this variant by design?
Comment 2 Matthew Miller 2005-04-26 11:13:29 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 Dave Malcolm 2005-04-27 14:39:41 EDT
Re comment 1: sounds like a bug to me.  Is this problem still present in the
most recent version of Evolution?  If so, please file it upstream here:

Comment 5 John Thacker 2006-10-25 17:00:32 EDT
Closing per lack of response.  Also note that FC1 and FC2 are no longer
supported even by Fedora Legacy.  If this still occurs on FC3 or FC4, please
assign to that version and Fedora Legacy.  If it still occurs on FC5 or FC6,
please reopen and assign to the correct version.

Note You need to log in before you can comment on or make changes to this bug.